• By using this site you agree to the use of cookies for analytics, personalised content and ads.
Developer Tools

Update to .NET Framework 3.5 SP1 for the .NET Framework Assistant 1.0 for Firefox

Change Language:
Update to .NET Framework 3.5 SP1 for the .NET Framework Assistant 1.0 for Firefox is required to address several compatibility issues with version 1.0 of the extension.
  • Note:There are multiple files available for this download.Once you click on the "Download" button, you will be prompted to select the files you need.
    Version:

    1.0

    File Name:

    NDP35SP1-KB963707-x86.exe

    NDP35SP1-KB963707-x64.exe

    Date Published:

    06/05/2009

    File Size:

    742 KB

    742 KB

    KB Articles: KB963707

      In .NET Framework 3.5 SP1, the .NET Framework Assistant enables Firefox to use the ClickOnce technology that is included in the .NET Framework. The .NET Framework Assistant is added at the machine-level to enable its functionality for all users on the machine. As a result, the Uninstall button is shown as unavailable in the Firefox Add-ons list because standard users are not permitted to uninstall machine-level components. In this update for .NET Framework 3.5 SP1 and in Windows 7, the .NET Framework Assistant will be installed on a per-user basis. As a result, the Uninstall button will be functional in the Firefox Add-ons list. This update will also make this version of the .NET Framework Assistant for Firefox compatible with future versions of the Firefox browser. To properly update the .NET Framework Assistant, this update must be applied while the extension is enabled in Firefox. To remedy the result of installing this update while the extension was disabled, uninstall the update, re-enable the extension, and reinstall the update. Updates to the .NET Framework Assistant may include updates to the Windows Presentation Foundation Plug-in for Firefox causing it to be enabled upon its initial update.
  • Supported Operating Systems:

    Windows Server 2003, Windows Server 2008, Windows Vista, Windows XP

      • Supported .NET Framework Version: .NET Framework 3.5 Service Pack 1
      • Processor: 400 MHz Pentium processor or equivalent (Minimum); 1GHz Pentium processor or equivalent (Recommended)
      • RAM: 96 MB (Minimum); 256 MB (Recommended)
      • Hard Disk: Up to 500 MB of available space may be required
      • CD or DVD Drive: Not Required
      • Display: 800 x 600, 256 colors (Minimum); 1024 x 768 high color, 32-bit (Recommended)
    • 1. Important: This fix requires that .NET Framework 3.5 SP1 be installed before it can be applied. Please read the release notes for known issues with .NET Framework 3.5 SP1 before you install the service pack. Make sure you have the latest service pack and critical updates for the version of Windows on the computer. To look for recent updates, visit Windows Update. In addition, make sure you have Windows Installer 3.1 installed before you install this service pack.

      2. Click the Download button on this page to start the download.

      3. To save the download to your computer for installation at a later time, click Save.

      4. To cancel the installation, click Cancel.

      IMPORTANT: After installing the .NET Framework 3.5 SP1 package (either the bootstrapper or the full package) you should immediately install the update KB959209 to address a set of known application compatibility issues.

Popular Downloads

Loading your results, please wait...

Free PC updates

  • Security patches
  • Software updates
  • Service packs
  • Hardware drivers